/**
 * Diese Klasse testet die Implementierung der Klasse Fahrzeug. Es wird ein
 * Fahrzeug auto erstellt sowie ein Fahrzeug fahrrad. Anschliessend wird das
 * Fahrzeug auto beschleunigt.
 * 
 * @author Annabelle Klarl
 * 
 */
public class FahrzeugTest {
	public static void main(String[] args) {
		Fahrzeug auto = new Fahrzeug(1, 2, 4, 1234.5, 100.0);
		Fahrzeug fahrrad = new Fahrzeug(3, 4, 2, 33.3, 18.3);

		System.out.println("Auto: aktuelle Geschwindigkeit="
				+ auto.getAktuelleGeschwindigkeit());
		System.out.println("Fahrrad: aktuelle Geschwindigkeit="
				+ fahrrad.getAktuelleGeschwindigkeit());

		auto.beschleunigen(11.1);

		System.out.println("Auto: aktuelle Geschwindigkeit="
				+ auto.getAktuelleGeschwindigkeit());
		System.out.println("Fahrrad: aktuelle Geschwindigkeit="
				+ fahrrad.getAktuelleGeschwindigkeit());

		fahrrad.fahren(5, 3);
	}
}
